Maven 2.0.9 has been released. Will it fix Selena maven issues?

Maven 2.0.9 has been released. Could you bundle it in next build? And will
it fix Selena maven issues?


5 comments
Comment actions Permalink

Hello Alex,

Maven 2.0.9 has been released. Could you bundle it in next build? And
will it fix Selena maven issues?


Actually the Maven embedder we use is taken from the 2.1 branch, so the release
of Maven 2.0.9 doesn't affect anything for us.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Pity,

Is it a known issue that parent configuration can not be found for some
reason?
running build from command line works just fine but in Selena opening pom
fails with following error:
Error:Error:Error building model lineage in order to pre-scan for
extensions: Cannot find artifact for parent POM:
com.peacetech.maven:default-parent-pom::1.0 for project .....


"Dmitry Jemerov" <yole@jetbrains.com> wrote in message
news:609b4cc9965838ca6956b0b72eb8@news.jetbrains.com...

Hello Alex,

>
>> Maven 2.0.9 has been released. Could you bundle it in next build? And
>> will it fix Selena maven issues?
>

Actually the Maven embedder we use is taken from the 2.1 branch, so the
release of Maven 2.0.9 doesn't affect anything for us.

>

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"

>



0
Comment actions Permalink

Could you give a bit more details about your project's structure?
Or, better, attach the poms.

Thanks

0
Comment actions Permalink

Anton,

Please see http://jetbrains.net/jira/browse/IDEA-17759

Thank you,
Alex


"Anton Makeev" <Anton.Makeev@jetbrains.com> wrote in message
news:8449500.6381207900668141.JavaMail.jive@app4.labs.intellij.net...

Could you give a bit more details about your project's structure?
Or, better, attach the poms.

>

Thanks



0
Comment actions Permalink

Dmitry Jemerov wrote:

Actually the Maven embedder we use is taken from the 2.1 branch, so the
release of Maven 2.0.9 doesn't affect anything for us.


Given that Maven 2.0.9's superpom now locks down the version numbers of
various plugins it uses - use of the 2.1 branch here -could- cause
unexpected build behaviour.

I can imagine reading bug reports where IDEA ends up using pluginx 2.y
and maven command line is 2.x and having "hard to diagnose issues".



0

Please sign in to leave a comment.